<%@ page language="C#" master="~/GolfClubShack.master"  %>
<%@ register tagprefix="GolfClubShack" tagname="popularitems" src="UserControls/PopularItems.ascx" %>
<script runat="server">
    
    public void Page_Load(object sender, EventArgs e) {
        Response.Write(dlNews.SkinID);
        if (Profile.Name != null && Profile.Name != String.Empty) {
            lblName.Text = Profile.Name.Split(new char[]{' '})[0];
        }

    }
    private void arHighlightedProduct_AdCreated(object sender, AdCreatedEventArgs e) {
        if (e.AdProperties["LabelText"] != null) {
            this.hlAdBanner.Text = (string)e.AdProperties["LabelText"];
            this.hlAdBanner.NavigateUrl = (string)e.AdProperties["NavigateUrl"];
        }
    }   
</script>
<asp:content id="Content1" contentplaceholderid="ContentPlaceHolder1" runat="server">
<table height="100%" align="center" cellspacing="0" cellpadding="0" width="95%" border="0">
        <tr valign="top">
            <td nowrap>
                <br>
                <img align="left" width="24" SRC="images/1x1.gif">
                <table cellspacing="0" cellpadding="0" width="100%">
                    <tr>
                        <td align="left">
                            <!-- Add WelcomeMsg Label code here -->
                            <table cellspacing="0" cellpadding="0" width="100%">
                                <tr>
                                    <td class="HomeHead">
                                        <asp:label id="WelcomeMsg" runat="server">
                                                Welcome to GolfClubShack
                                        </asp:label>
                                        <asp:label id="lblName" runat="server" />
                                    </td>
                                </tr>
                            </table>
                            <!-- End Add WelcomeMsg Label code here -->
                            <table cellspacing="0" cellpadding="2" width="95%" border="0">
                                <tr valign="top">
                                    <td align="left">
                                        <img border="0" src="images/golfer.jpg">
                                        <p />
                                        <asp:datalist id="dlNews" width="75%" runat="server" datasourceid="XmlDataSource">
                                        <itemstyle  backcolor="#FBF9EB" />
                                        <headertemplate>
                                                <tr>
                                                    <td class="DarkBeige">Golf News:</td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <ul>
                                        </headertemplate>
                                        <itemtemplate>
                                            <li>
                                                <a href='<%# XPath("document_url") %>' class="blackTextSmall">
                                                    <%# XPath("headline_text") %>
                                                </a>
                                             </li>
                                        </itemtemplate>
                                        <footertemplate>
                                                        </ul>
                                                    </td>
                                                </tr>
                                        </footertemplate>
                                    </asp:datalist> 
                                    <asp:xmldatasource id=XmlDataSource runat="server" 
                                    datafile="Xml/news.xml" XPath="moreovernews/article[position() < 5]"></asp:xmldatasource>
                                    <p>&nbsp;</p>
                                    </td>
                                    <td width="10">
                                        &nbsp;
                                    </td>
                                    <td>
                                        <table width="300">
                                            <tr valign="top">
                                                <td>
                                                    <span class="NormalDouble">GolferClubShack is the #1 
                                                    golf club and golf ball retailer.  Select a product category to get started!
													</span>
                                                    <p>&nbsp;</p>
													<golfclubshack:popularitems runat="server" id="PopularItems1" />
													<br />
													<br />
                                                    <!-- Add AdRotator control code here -->
                                                    <table>
	                                                    <tr>
		                                                    <td align="left" valign="middle">
			                                                    <asp:adrotator id="arHighlightedProduct" runat=server
				                                                    advertisementfile="Ads.xml" width="100" 
                                                                            height="75"	borderwidth="0"
                                                                     onadcreated="arHighlightedProduct_AdCreated"/>
		                                                    </td>
		                                                    <td align="left" valign="middle">
			                                                    <asp:hyperlink id="hlAdBanner" runat="server" cssclass="adBannerText"/>
		                                                    </td>
	                                                    </tr>
                                                    </table>
                                                    <!-- End Add AdRotator control code here -->
                                              
                                                </td>
                                            </tr>
                                        </table>
                                    </td>  
                                    </tr>                                             

                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:content>
