<%@ page language="C#" master="~/GolfClubShack.master" %>
<script runat="Server">    
    
    void Page_Load(object sender, System.EventArgs e)
    {
        if (!Page.IsPostBack) {
            this.txtFullName.Text = (Profile.Name == null) ? String.Empty : Profile.Name;
            this.ddFavoriteClubs.SelectedValue = (Profile.FavoriteClubs == null) ? String.Empty : Profile.FavoriteClubs;
            try {
                this.rdoColorList.SelectedValue = (Profile.Skin == null || Profile.Skin == String.Empty) ? "Dark Beige" : Profile.Skin;
                this.rdoNewsletter.SelectedValue = (Profile.ReceiveNewsletter == null || Profile.ReceiveNewsletter == String.Empty) ? "False" : Profile.ReceiveNewsletter;
            }
            catch { }
        }
    }
    
    void btnSubmit_Click(object sender, System.EventArgs e)
    {
        string name = txtFullName.Text;
        string clubs = ddFavoriteClubs.SelectedValue;
        Profile.Name = name;
        Profile.FavoriteClubs = clubs;
        Profile.Skin = rdoColorList.SelectedValue;
        if (Profile.MemberSince == null) Profile.MemberSince = DateTime.Now.ToShortDateString();
        Profile.ReceiveNewsletter = rdoNewsletter.SelectedValue;
        if (Request.QueryString["ReturnUrl"] == null) {
            Response.Redirect("Default.aspx");
        }
        else {
            Response.Redirect(Request.QueryString["ReturnUrl"].ToString());
        }
    }  

    
</script>
<asp:content id="Content1" contentplaceholderid="ContentPlaceHolder1" runat="server">
    <table height="100%" align="left" cellspacing="0" cellpadding="0" width="90%" border="0">
        <tr valign="top">
            <td nowrap>
                <br>
                    <img align="left" width="24" height="1" src="images/1x1.gif">
                    <table cellspacing="0" cellpadding="0" width="95%" border="0">
                        <tr>
                            <td class="ContentHead">
                                &nbsp;&nbsp;Personalize GolfClubShack.com
                            </td>
                        </tr>
                    </table>
                    <img align="left" height="1" width="92" src="images/1x1.gif">
                    <asp:label id="lblError" runat="server" />
                    <table height="100%" cellspacing="0" cellpadding="0" border="0">
                        <tr valign="top">
                            <td width="550" align="left">
                                &nbsp;<br>
                                        <table width="70%" class="text10pt">
                                            <tr>
		                                         <td align="left" colspan="2" class="DarkBeige">Personalize</td>
	                                        </tr>                                            
                                            <tr>
                                                <td width="25%" valign="top">
                                                    Name:
                                                </td>
                                                <td width="75%">
                                                    <asp:textbox id="txtFullName" runat="Server"></asp:textbox>
                                                </td>
                                            </tr>  
                                            <tr>
                                                <td valign="top">
                                                    Favorite Clubs:
                                                </td>
                                                <td>
                                                    <asp:dropdownlist id="ddFavoriteClubs" runat="Server">
                                                        <asp:listitem value="">Select One:</asp:listitem>
                                                        <asp:listitem>Titliest</asp:listitem>
                                                        <asp:listitem>Taylor Made</asp:listitem>
                                                        <asp:listitem>Nike</asp:listitem>
                                                        <asp:listitem>Ben Hogan</asp:listitem>
                                                        <asp:listitem>Ping</asp:listitem>
                                                        <asp:listitem>Other</asp:listitem>
                                                    </asp:dropdownlist>
                                                </td>
                                            </tr>      
                                            <tr>
                                                <td valign="top">
                                                    Color Choice:
                                                </td>
                                                <td>
                                                    <asp:radiobuttonlist id="rdoColorList" cssclass="text10pt" runat="Server">
                                                        <asp:listitem value="DarkBeige">Dark Beige</asp:listitem>
                                                        <asp:listitem value="LightGray">Light Gray</asp:listitem>
                                                    </asp:radiobuttonlist>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td valign="top">
                                                    Receive Newsletter?
                                                </td>
                                                <td>
                                                    <asp:radiobuttonlist id="rdoNewsletter" cssclass="text10pt" runat="Server">
                                                        <asp:listitem value="True">Yes</asp:listitem>
                                                        <asp:listitem value="False" selected="true">No</asp:listitem>
                                                    </asp:radiobuttonlist>
                                                </td>
                                            </tr>                                            <tr>
                                                <td colspan="2" align="right">
                                                    <asp:button id="btnSubmit" text="Submit" runat="Server" onclick="btnSubmit_Click" />
                                                </td>
                                            </tr>
                                       </table>
                            </td>
                        </tr>                                        
                    </table>
            </td>
        </tr>
    </table>
</asp:content>