<%@ page language="C#" master="~/GolfClubShack.master" %>
<script runat="Server">
        public void Page_Load(object sender, System.EventArgs e) {
            //Had some issue with ObjectDataSource events so went the "long route"
            //here for the Alpha and typed the code. :)
            // Obtain ProductID from QueryString
            try {
                int ProductID = Int32.Parse(Request.Params["ProductID"]);

                //Obtain Product Details
                GolfClubShack.ProductsDB products = new GolfClubShack.ProductsDB();
                GolfClubShack.ProductDetails myProductDetails = products.GetProductDetails(ProductID);

                // Update Controls with Product Details
                desc.Text = myProductDetails.Description;
                UnitCost.Text = String.Format("{0:c}", myProductDetails.UnitCost);
                ModelName.Text = myProductDetails.ModelName;
                ModelNumber.Text = myProductDetails.ModelNumber.ToString();
                ProductImage.ImageUrl = "ProductImages/thumbs/" + myProductDetails.ProductImage;
            }
            catch {
                ProductImage.Visible = false;
                lblError.Text = "No product details were found";
                
            }
        }
    
</script>
<asp:content id="Content1" contentplaceholderid="ContentPlaceHolder1" runat="server">
    <table height="100%" cellSpacing="0" cellPadding="0" width="90%" align="center" border="0">
        <tr valign="top">
            <td>
                <br>
                <img src="images/1x1.gif" width="24" align="left">
                <table cellSpacing="0" cellPadding="0" width="100%" border="0">
                    <tr>
                        <td class="ContentHead">
                            &nbsp;&nbsp;<asp:label id="ModelName" runat="server" />
                            <br>
                        </td>
                    </tr>
                </table>
                <img src="images/1x1.gif" width="24" align="left">
                <table cellSpacing="0" cellPadding="0" width="95%" border="0" valign="top">
                    <tr valign="top">
                        <td width="20%">
                            <asp:image id="ProductImage" runat="server" border="0" />
                            <br>
                            <span class="UnitCost"><b>Your Price:</b>&nbsp;<asp:label id="UnitCost" runat="server" /></span>
                            <br>
                            <span class="ModelNumber"><b>Model Number:</b>&nbsp;<asp:label id="ModelNumber" runat="server" /></span>
                            <br>
                        </td>
                        <td>
                            <table border="0" width="100%">
                                <tr>
                                    <td align="left" valign="top">
                                        <p align="justify">
                                        <asp:label id="lblError" runat="server" />
                                        <asp:label class="NormalDouble" id="desc" runat="server"></asp:label></p>
                                    </td>
                                </tr>
                            </table>
                            <br>
                            <img height="30" src="images/1x1.gif">
                        </td>
                    </tr>
                    </table>
                    <br />
                <img src="images/1x1.gif" width="24" align="left">
            </td>
        </tr>
    </table>
</asp:content>