<%@ page language="C#" master="~/GolfClubShack.master" %>
<script runat="server" language="c#">  
    
    public void ctlSignUp_Authenticate(object sender, System.Web.UI.WebControls.AuthenticateEventArgs e)
    {
        try {
            MembershipUser user = Membership.CreateUser(ctlSignUp.UserName, ctlSignUp.Password,ctlSignUp.UserName);
            if (user != null) {
                string url = (Request.QueryString["ReturnUrl"]==null)?String.Empty:"?ReturnUrl=" + Request.QueryString["ReturnUrl"].ToString();
                FormsAuthentication.SetAuthCookie(user.Username, false);
                Response.Redirect("Personalize.aspx" + url);
            }
            else {
                lblError.Text = "User was not created.";
            }
        }
        catch (Exception exp) {
            lblError.Text = exp.Message;                
        }
    }
    
    </script>

<asp:content id="Content1" contentplaceholderid="ContentPlaceHolder1" runat="server">
    <table height="100%" align="left" cellspacing="0" cellpadding="0" width="90%" border="0">
        <tr valign="top">
            <td nowrap>
                <br>
                    <img align="left" width="24" height="1" src="images/1x1.gif">
                    <table cellspacing="0" cellpadding="0" width="95%" border="0">
                        <tr>
                            <td class="ContentHead">
                                &nbsp;&nbsp;Sign Up for an Account
                            </td>
                        </tr>
                    </table>
                    <img align="left" height="1" width="92" src="images/1x1.gif">
                    <asp:label id="lblError" runat="server" />
                    <table height="100%" cellspacing="0" cellpadding="0" border="0">
                        <tr valign="top">
                            <td width="550">
                                &nbsp;<br>
                                <asp:login id="ctlSignUp" font-names="Verdana" font-size="10pt" onauthenticate="ctlSignUp_Authenticate" runat="server">
                                    <layouttemplate>
                                        <table width="100%" style="font-family:Verdana;font-size:10pt"><tr>
		                                            <td align="center" colspan="2" class="DarkBeige">Sign Up</td>
	                                            </tr>                                            
	                                            <tr>
                                                <td valign="top">
                                                    Email:
                                                </td>
                                                <td>
                                                    <asp:textbox id="UserName" runat="Server"></asp:textbox>
                                                    &nbsp;
                                                    <asp:requiredfieldvalidator id="vUserName" runat="Server" controltovalidate="UserName">*</asp:requiredfieldvalidator>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td valign="top">
                                                    Password:
                                                </td>
                                                <td>
                                                    <asp:textbox id="Password" textmode="password" runat="Server"></asp:textbox>
                                                    &nbsp;
                                                    <asp:requiredfieldvalidator id="vPassword" runat="Server" controltovalidate="Password">*</asp:requiredfieldvalidator>

                                                </td>
                                            </tr>
                                            <tr>
                                                <td valign="top">
                                                    Re-enter Password:
                                                </td>
                                                <td>
                                                    <asp:textbox id="txtPassword2" textmode="password" runat="Server"></asp:textbox>
                                                    &nbsp;
                                                    <asp:requiredfieldvalidator id="vtxtPassword2" runat="Server" controltovalidate="txtPassword2">*</asp:requiredfieldvalidator>
                                                    <br />
                                                    <asp:CompareValidator id="cvtxtPassword2" runat="Server" controltovalidate="txtPassword2" controltocompare="Password">Passwords do not match!</asp:comparevalidator>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" align="right">
                                                    <asp:button id="btnSubmit" CommandName="Submit" text="Submit" runat="Server" />
                                                </td>
                                            </tr></table>
                                    </layouttemplate>                                
                                </asp:login>
                            </td>
                        </tr>                                        
                    </table>
            </td>
        </tr>
    </table>
</asp:content>